#
# spec file for package tuxeyes (Version 0.0.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp gppshare libgpp libjpeg liblcms libmng libmng-devel libpng mesa mesa-devel mesasoft qt qt-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libjpeg liblcms libmng libmng-devel libpng libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         tuxeyes
Copyright:    distributable
Group:        X11/Amusements
Provides:     tuXeyes 
Autoreqprov:  on
Version:      0.0.3
Release:      349
Summary:      Tux with rolling eyes
Source:       tuXeyes-%{version}.tar.bz2
Patch:        tuXeyes-%{version}.dif
BuildRoot:    /var/tmp/%{name}-build

%description
A penguin toy similar to XPinguin. Very cute with its rolling eyes following
the mouse cursor.
A successfully mixture of xteddy, xpinguin and xeyes.

Authors:
--------
    Ivo van der Wijk <ivo@zero.xs4all.nl>

SuSE series: fun

%prep
%setup -n tuXeyes-%{version}
%patch

%build
%{suse_update_config -f}
aclocal
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 \
				--with-qt-dir=/usr/lib/qt2
make

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/usr/X11R6/bin
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README
/usr/X11R6/bin/tuXeyes

%changelog -n tuxeyes
* Wed Jun 06 2001 - cihlar@suse.cz
- fixed to compile with new autoconf
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Thu Nov 30 2000 - ro@suse.de
- fixed neededforbuild
* Mon Nov 27 2000 - kukuk@suse.de
- Remove wrong Requires tag
* Sun Nov 26 2000 - kukuk@suse.de
- Compile and link against qt 2.x
* Thu Nov 16 2000 - cihlar@suse.cz
- added BuildRoot
- fixed copyright tag
- sorted
- bzipped sources
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 05 1999 - grimmer@suse.de
- Update to 0.0.3 (now has more images to select from)
* Thu Apr 08 1999 - maddin@suse.de
- new SuSE package
- copying additional docu to /usr/src/packages/tuxeyes
